Class | Spec::Runner::Reporter
In: | lib/spec/runner/reporter.rb
Parent: | Object

### Methods

add_example_group dump end example_failed example_finished example_started failure new start

### Classes and Modules

Class Spec::Runner::Reporter::Failure

### Constants

EXAMPLE_PENDING_DEPRECATION_WARNING

=

<<-WARNING DEPRECATION NOTICE: RSpec's formatters have changed example_pending to accept three arguments instead of just two. Please see the rdoc for Spec::Runner::Formatter::BaseFormatter#example_pending for more information. Please update any custom formatters to accept the third argument to example_pending. Support for example_pending with two arguments and this warning message will be removed after the RSpec 1.1.5 release. WARNING

### Attributes

example_groups | [R] |
options | [R] |

### Public Class methods

new(options)

### Public Instance methods

add_example_group(example_group)
dump()

Dumps the summary and returns the total number of failures

end()
example_failed(example, error)

Alias for failure

example_finished(example, error=nil)
example_started(example)
failure(example, error)
start(number_of_examples)

[Validate]